## minigpsd 0.30.0

=== Makefile ===
CFLAGS=-O6 -Wall -I./minigpsd/

.PHONY: gpsd

#cross
all: gpsd kml2kmz

install-python:
	install -d $(DESTDIR)/usr/bin
	install setup-minigpsd $(DESTDIR)/usr/bin
	install dbus2gconf.py $(DESTDIR)/usr/bin
	install ossonotify $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/hildon-desktop
	install minigpsd-sb.py $(DESTDIR)/usr/lib/hildon-desktop
	install minigpsd-tb.py $(DESTDIR)/usr/lib/hildon-desktop
	install -d $(DESTDIR)/usr/lib/python2.5
	install mgsetuplib.py $(DESTDIR)/usr/lib/python2.5
	install -d $(DESTDIR)/usr/share/applications/hildon
	install setup-minigpsd.desktop $(DESTDIR)/usr/share/applications/hildon
	install -d $(DESTDIR)/usr/share/applications/hildon-status-bar
	install minigpsd-sb.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar
	install -d $(DESTDIR)/usr/share/applications/hildon-navigator
	install minigpsd-tb.desktop $(DESTDIR)/usr/share/applications/hildon-navigator

install: install-python
	install -d $(DESTDIR)/usr/bin
	install -s minigpsd/minigpsd kml2kmz $(DESTDIR)/usr/bin
	install btconnect.sh $(DESTDIR)/usr/bin
	install n810asbtgps.sh $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc/sudoers.d
	install l2ping.sudoers $(DESTDIR)/etc/sudoers.d

#now done with docs
#	install -d $(DESTDIR)/etc/osso-backup/applications
#	install minigpsd.back.conf $(DESTDIR)/etc/osso-backup/applications

#host
nmea2kml: nmea2kml.c minigpsd/gpsdata.c minigpsd/globals.c

gpsd:
	make -C minigpsd

clean:
	make -C minigpsd clean
	rm -f nmea2kml kml2kmz

#bdb: bdb.c
#	gcc $(CFLAGS) -s -o bdb bdb.c -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -ldbus-1

icon:
	echo "XB-Maemo-Icon-26:" >minigpsd.maemoicon
	openssl base64 <minigpsd.png | sed -e "s/^/ /g" >>minigpsd.maemoicon

=== minigpsd/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -Wall -I.

OBJS:= fixsub.o globals.o gpsdata.o minigpsd.o web.o

minigpsd: $(OBJS)
	gcc -o $@ $^ $(LIBS)

clean:
	rm -f minigpsd $(OBJS)

=== debian/changelog ===
minigpsd (0.30.0) stable; urgency=high

  * no changes, just removed release

 -- Tom Zerucha <tz1@mac.com>  Sun, 30 Nov 2008 04:00:00 -0600

minigpsd (0.30-rc6) unstable; urgency=low

  * Some cleanup for python setup lib plotting
  * Add example mmap to source archive
  * NoCard guard - notifies if logging to folder on card without card

 -- Tom Zerucha <tz1@mac.com>  Tue, 18 Nov 2008 04:00:00 -0600

minigpsd (0.30-rc5) unstable; urgency=low

  * Redid status interface for mmap, removed xpm gen (nowdone in python)
  * Synchronized satellite status for mmap (TODO: J and Y commands)

 -- Tom Zerucha <tz1@mac.com>  Tue, 18 Nov 2008 02:00:00 -0600

minigpsd (0.30-rc4) unstable; urgency=low

  * cleanup icon sizing
  * add dbus2gconf since taskbar and statusbar can get gconf events

 -- Tom Zerucha <tz1@mac.com>  Sun, 16 Nov 2008 02:00:00 -0600

minigpsd (0.30-rc3) unstable; urgency=low

  * mgsetuplib as class, taskbar applet added
  * BT dialog now renders and says SEARCHING
  * Rehildonized the setup application

 -- Tom Zerucha <tz1@mac.com>  Thu, 06 Nov 2008 02:00:00 -0600

minigpsd (0.30-rc2) unstable; urgency=low

  * Fixed python crash bug if bluetooth not enabled

 -- Tom Zerucha <tz1@mac.com>  Tue, 04 Nov 2008 02:00:00 -0600

minigpsd (0.30-rc1x) unstable; urgency=low

  * More status icon - color changes, bluetooth connect icons for gps and obd
  * don't use OBDTHRU if OBD is turned off

 -- Tom Zerucha <tz1@mac.com>  Tue, 04 Nov 2008 02:00:00 -0600

minigpsd (0.30-rc1) unstable; urgency=low

  * Gray/bright scheme for gps status instead of colorization
  * Rings - black-off, red-nofix, yellow-2d, green-3d, blue-DGPS

 -- Tom Zerucha <tz1@mac.com>  Mon, 03 Nov 2008 23:39:00 -0600

minigpsd (0.30-rc0a) unstable; urgency=low

  * Y command for GPXView works, gpsgaterate implemented

 -- Tom Zerucha <tz1@mac.com>  Sun, 02 Nov 2008 20:39:00 -0600

minigpsd (0.30-rc0) unstable; urgency=low

  * Revamp config variables, add icon update rate, part of gpsgaterate

 -- Tom Zerucha <tz1@mac.com>  Sat, 01 Nov 2008 23:39:00 -0600

minigpsd (0.30-pre5) unstable; urgency=low

  * Fix bad lat/lon error bug, GPXView compat

 -- Tom Zerucha <tz1@mac.com>  Fri, 24 Oct 2008 20:39:00 -0600

minigpsd (0.30-pre4) unstable; urgency=low

  * GPSgate reconnect (by minute) and altitude.

 -- Tom Zerucha <tz1@mac.com>  Sun, 11 Oct 2008 09:46:00 -0600

minigpsd (0.30-pre3) unstable; urgency=low

  * Cut back gpsgate and status icon update to save cpu cycles
  * UDP gpsgate update

 -- Tom Zerucha <tz1@mac.com>  Sat, 11 Oct 2008 10:02:00 -0600

minigpsd (0.30-pre2) unstable; urgency=low

  * Fix stupid mistake with long select

 -- Tom Zerucha <tz1@mac.com>  Sat, 11 Oct 2008 01:02:00 -0600

minigpsd (0.30-pre1) unstable; urgency=low

  * Move to gconf, add python config and /tmp/gps.xpm out
  * cleanup and updates in general, fix unset crashes

 -- Tom Zerucha <tz1@mac.com>  Sun, 05 Oct 2008 01:02:00 -0600

minigpsd (0.29c) unstable; urgency=low

  * Infrastructure fixes, lock pid files, conf file to text in home
  * Use repeated reads and unified millisecond count
  * GPSgate support, javascript improvements for google maps

 -- Tom Zerucha <tz1@mac.com>  Sun, 05 Oct 2008 01:02:00 -0600

=== debian/control ===
Source: minigpsd
Build-Depends: debhelper (>=4), libgconf2-dev (>= 2.6.4) 
Priority: optional
Section: user/navigation
Maintainer: tz <tz1@mac.com>

Depends: bluez-utils-test, python2.5-gtk2, python2.5-hildon, hildon-desktop-python-loader, python-hildondesktop | python2.5-hildondesktop, python2.5-gnome, python2.5-gobject, python2.5-bluez
Package: minigpsd
Section: user/navigation
Priority: optional
Architecture: any
Description: Faster, more efficient gpsd replacement which includes support for logging to kml, gpsgate, extra (OBD2) data, integrated google maps and webpage or kml server, and simultaneous internal/bluetooth GPS.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAA8UlEQVRIid2WQQ6E
 IAxFHxMPKSs8mqzwls4GRpAWFSdOMt2oSenz1/LFACsPxOsJCMCQ3Rs1az1QbRpr
 Y8eGRsIxYJ/XAOqgHWS0IwAhBAC89wBMbirXKDAZlEESQIvZzyVQgdXDcAEiAfc1
 ZFAn5AxMHO8eiAgTQWcn7EpkNStFd9SkkFQ95gyG5HVR5Lc6+JnwePmJ1wHbjtfC
 OQeAtbZdOZSPjymqQIV3dcYSlgaobfV9kdUUW3dHlaSmBmVv0AMrILsO1Yo6YS0I
 aP8jg0k7N8E0s6xapXzrzRmkM8NVm5AhJ84MaeG9w0lM+bdz3Rtj9FTrLKpN/QAA
 AABJRU5ErkJggg==

## minigpsd 0.31f

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,23 @@
 CFLAGS=-O6 -Wall -I./minigpsd/
 
-.PHONY: gpsd
+.PHONY: gpsd obd2 v1d
 
 #cross
-all: gpsd kml2kmz
+all: gpsd obd2 v1d kml2kmz
 
 install-python:
 	install -d $(DESTDIR)/usr/bin
 	install setup-minigpsd $(DESTDIR)/usr/bin
-	install dbus2gconf.py $(DESTDIR)/usr/bin
 	install ossonotify $(DESTDIR)/usr/bin
+	install obd2dash.py $(DESTDIR)/usr/bin
+	install miniv1d/v1state.py $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/usr/lib/hildon-desktop
 	install minigpsd-sb.py $(DESTDIR)/usr/lib/hildon-desktop
 	install minigpsd-tb.py $(DESTDIR)/usr/lib/hildon-desktop
 	install -d $(DESTDIR)/usr/lib/python2.5
 	install mgsetuplib.py $(DESTDIR)/usr/lib/python2.5
 	install -d $(DESTDIR)/usr/share/applications/hildon
-	install setup-minigpsd.desktop $(DESTDIR)/usr/share/applications/hildon
+	install setup-minigpsd.desktop obd2dash.desktop $(DESTDIR)/usr/share/applications/hildon
 	install -d $(DESTDIR)/usr/share/applications/hildon-status-bar
 	install minigpsd-sb.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar
 	install -d $(DESTDIR)/usr/share/applications/hildon-navigator
@@ -24,7 +25,7 @@
 
 install: install-python
 	install -d $(DESTDIR)/usr/bin
-	install -s minigpsd/minigpsd kml2kmz $(DESTDIR)/usr/bin
+	install -s miniobd2d/miniobd2d miniv1d/miniv1d miniobd2d/obdecode minigpsd/minigpsd kml2kmz $(DESTDIR)/usr/bin
 	install btconnect.sh $(DESTDIR)/usr/bin
 	install n810asbtgps.sh $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/etc/sudoers.d
@@ -40,8 +41,16 @@
 gpsd:
 	make -C minigpsd
 
+obd2:
+	make -C miniobd2d
+
+v1d:
+	make -C miniv1d
+
 clean:
 	make -C minigpsd clean
+	make -C miniobd2d clean
+	make -C miniv1d clean
 	rm -f nmea2kml kml2kmz
 
 #bdb: bdb.c

=== minigpsd/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -Wall # -Wno-attributes

OBJS:= harley.o gpsdata.o minigpsd.o web.o

minigpsd: $(OBJS)
	gcc -o $@ $^ $(LIBS)

clean:
	rm -f minigpsd $(OBJS)

=== miniobd2d/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -Wall

all: miniobd2d obdecode

miniobd2d: miniobd2d.c
	gcc -o $@ $^ $(LIBS) $(CFLAGS)

clean:
	rm -f miniobd2d obdecode

=== miniv1d/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -Wall

all: miniv1d

miniv1d: miniv1d.c
	gcc -o $@ $^ $(LIBS) $(CFLAGS)

clean:
	rm -f miniv1d

=== debian/changelog ===
minigpsd (0.31f) unstable; urgency=low

  * fixed logging udp port and hiccups
  * miniobd2 and miniv1d robustness
  * /tmp/mgpstate written earler, obd2dash.py added in install
  * reconn/waitpid/child stuff needed fixing
  * dbus inactivity notify now works without the gconf hack
  * Minor fixes (read max should be 512 not 4096 in obd2d)
  * Valentine V1 support
  * More fixes (signals to clean up earlier)
  * V1 cleanup and proper install
  * V1 in setup
  * Harley separated from OBD
  * Major refactor
  * elm based OBD-2 system
  * NEW logging subsystem (lines sent to udp port 32947)
  * moved harley data to structure and added to mmaping
  * Refactored bluetooth reconnect system (start/kill should be clean)
  * ELM communication robustness
  * Clean data sent to log

 -- Tom Zerucha <tz1@mac.com>  Wed, 17 Dec 2008 01:00:00 -0600

## minigpsd 0.31g1

=== Makefile ===
CFLAGS=-O6 -Wall -I./minigpsd/ -U_FORTIFY_SOURCE

.PHONY: gpsd obd2 v1d gpsplayback

#cross
all: gpsd obd2 v1d gpsplayback

install-python:
	install -d $(DESTDIR)/usr/bin
	install setup-minigpsd $(DESTDIR)/usr/bin
	install miniobd2d/obd2dash.py $(DESTDIR)/usr/bin
	install minigpsd/harleydash.py $(DESTDIR)/usr/bin
	install miniv1d/v1state.py $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/hildon-desktop
	install minigpsd-sb.py $(DESTDIR)/usr/lib/hildon-desktop
	install minigpsd-tb.py $(DESTDIR)/usr/lib/hildon-desktop
	install -d $(DESTDIR)/usr/lib/python2.5
	install mgsetuplib.py $(DESTDIR)/usr/lib/python2.5
	install -d $(DESTDIR)/usr/share/applications/hildon
	install setup-minigpsd.desktop miniobd2d/obd2dash.desktop minigpsd/harleydash.desktop $(DESTDIR)/usr/share/applications/hildon
	install -d $(DESTDIR)/usr/share/applications/hildon-status-bar
	install minigpsd-sb.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar
	install -d $(DESTDIR)/usr/share/applications/hildon-navigator
	install minigpsd-tb.desktop $(DESTDIR)/usr/share/applications/hildon-navigator

install: install-python
	install -d $(DESTDIR)/usr/bin
	install -s miniobd2d/miniobd2d miniv1d/miniv1d miniobd2d/obdecode minigpsd/minigpsd minigpsd/kml2kmz $(DESTDIR)/usr/bin
	install -s gpsplayback/gpsplayback $(DESTDIR)/usr/bin
	install btconnect.sh $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/etc/sudoers.d
	install l2ping.sudoers $(DESTDIR)/etc/sudoers.d
#	install n810asbtgps.sh $(DESTDIR)/usr/bin
#	install ossonotify $(DESTDIR)/usr/bin

#now done with docs
#	install -d $(DESTDIR)/etc/osso-backup/applications
#	install minigpsd.back.conf $(DESTDIR)/etc/osso-backup/applications

gpsplayback:
	make -C gpsplayback

gpsd:
	make -C minigpsd

obd2:
	make -C miniobd2d

v1d:
	make -C miniv1d

clean:
	make -C minigpsd clean
	make -C miniobd2d clean
	make -C miniv1d clean
	make -C gpsplayback clean

#bdb: bdb.c
#	gcc $(CFLAGS) -s -o bdb bdb.c -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -ldbus-1

icon:
	echo "XB-Maemo-Icon-26:" >minigpsd.maemoicon
	openssl base64 <minigpsd.png | sed -e "s/^/ /g" >>minigpsd.maemoicon

=== minigpsd/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -U_FORTIFY_SOURCE -Wall # -Wno-attributes

OBJS:= harley.o gpsdata.o minigpsd.o web.o

all: minigpsd kml2kmz

minigpsd: $(OBJS)
	gcc -o $@ $^ $(LIBS)

clean:
	rm -f minigpsd $(OBJS) kml2kmz

=== miniobd2d/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LIBS=$(shell pkg-config --libs gconf-2.0)
 
 #CFLAGS+= -g -Wall -I.
-CFLAGS+= -O6 -I. -Wall
+CFLAGS+= -O6 -I. -Wall -U_FORTIFY_SOURCE
 
 all: miniobd2d obdecode

=== debian/changelog ===
minigpsd (0.31g1) unstable; urgency=low

  * default KML interval is zero (crash if no directory fixed)
  * don't launch miniobd2d when harley is enabled.
  * add hdash1.py - harley example and dash launcher
  * use display off instead of idle status (on charger show sats)
  * added radar.html to show 20 mile radius from weather underground
  * added traffic overlay to map
  * redid the main GPS screen with links to map and radar
  * closed all sockets, etc before doing btconnect.sh
  * use at start and save at exit (supl/AGPS) position
  * launch obd dash or harley dash based on setting
  * kml2kmz now sets the time/date stamp to the time it compresses
  * meta to refresh sats and stats every 5 seconds
  * misc fixes and refactor, much better v1state.py
  * gpsplayback to replay KML files (needs unzip which is NOT in deps)

 -- Tom Zerucha <tz1@mac.com>  Sun, 11 May 2009 01:00:00 -0600

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: user/navigation
 Maintainer: tz <tz1@mac.com>
 
-Depends: bluez-utils-test, python2.5-gtk2, python2.5-hildon, hildon-desktop-python-loader, python-hildondesktop | python2.5-hildondesktop, python2.5-gnome, python2.5-gobject, python2.5-bluez
+Depends: bluez-utils-test, python2.5-gtk2, python2.5-hildon, hildon-desktop-python-loader, python2.5-hildondesktop, python2.5-gnome, python2.5-gobject, python2.5-bluez, python2.5-dbus
 Package: minigpsd
 Section: user/navigation
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

package=osso-statusbar-cpu
ALL_LINGUAS=@ALL_LINGUAS@

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# Install locale stuff
	dh_movefiles

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/build -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_gconf
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
#	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs -V
	dh_installdeb
#	dh_shlibdeps
#add -DMaemoIcon here
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## minigpsd 0.31h

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	install setup-minigpsd $(DESTDIR)/usr/bin
 	install miniobd2d/obd2dash.py $(DESTDIR)/usr/bin
 	install minigpsd/harleydash.py $(DESTDIR)/usr/bin
-	install miniv1d/v1state.py $(DESTDIR)/usr/bin
+	install minigpsd/v1state.py $(DESTDIR)/usr/bin
+	install minigpsd/3dk.py $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/usr/lib/hildon-desktop
 	install minigpsd-sb.py $(DESTDIR)/usr/lib/hildon-desktop
 	install minigpsd-tb.py $(DESTDIR)/usr/lib/hildon-desktop

=== gpsplayback/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -U_FORTIFY_SOURCE -Wall # -Wno-attributes

OBJS:= harley.o gpsdata.o gpsplayback.o web.o

gpsplayback: $(OBJS)
	gcc -o $@ $^ $(LIBS)

clean:
	rm -f gpsplayback $(OBJS)

=== mini6dof/Makefile ===
CC=gcc

CFLAGS=$(shell pkg-config --cflags gconf-2.0)
LIBS=$(shell pkg-config --libs gconf-2.0)

#CFLAGS+= -g -Wall -I.
CFLAGS+= -O6 -I. -U_FORTIFY_SOURCE -Wall

all: mini6dof

mini6dof: mini6dof.c
	gcc -o $@ $^ $(LIBS) $(CFLAGS)

clean:
	rm -f mini6dof

=== miniv1d/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LIBS=$(shell pkg-config --libs gconf-2.0)
 
 #CFLAGS+= -g -Wall -I.
-CFLAGS+= -O6 -I. -Wall
+CFLAGS+= -O6 -I. -Wall -U_FORTIFY_SOURCE
 
 all: miniv1d

=== sample+utils/Makefile ===

#CFLAGS+= -g -Wall -I../minigpsd
CFLAGS+= -O6 -I../minigpsd -U_FORTIFY_SOURCE -Wall # -Wno-attributes

all: harleyextract kmz2gpx mgpsd-via-mmap nmea2kml

nmea2kml: nmea2kml.c ../minigpsd/gpsdata.c

clean:
	rm -f harleyextract kmz2gpx mgpsd-via-mmap nmea2kml

=== debian/changelog ===
minigpsd (0.31h) unstable; urgency=low

  * AVR gps + j1850 + v1 version
  * many small fixes to work with venus GPS
  * more reliable internal/external switchover
  * Unstable, but many updates so I need to push it

 -- Tom Zerucha <tz1@mac.com>  Mon, 19 Oct 2009 01:00:00 -0600
